LoggerOutputStream (LogKit API)
Keywords: org.apache.log.util.LoggerOutputStream,LoggerOutputStream class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log.util
Class LoggerOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--org.apache.log.util.LoggerOutputStream

Direct Known Subclasses:
  OutputStreamLogger

public class LoggerOutputStream
extends OutputStream

Redirect an output stream to a logger. This class is useful to redirect standard output or standard error to a Logger. An example use is

     final LoggerOutputStream outputStream =
         new LoggerOutputStream( logger, Priority.DEBUG );
     final PrintStream output = new PrintStream( outputStream, true );

     System.setOut( output );

Author:
  Avalon Development Team, Peter Donald

Constructor Summary
`LoggerOutputStream(Logger logger, Priority priority)` Construct OutputStreamLogger to write to a particular logger at a particular priority.

Method Summary
`void` | `close()` Shutdown stream.
`void` | `flush()` Flush data to underlying logger.
`void` | `write(int data)` Write a single byte of data to output stream.

Methods inherited from class java.io.OutputStream
`write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggerOutputStream

    public LoggerOutputStream(Logger logger,
                              Priority priority)

  Construct OutputStreamLogger to write to a particular logger at a particular priority.

Parameters:
  `logger` - the logger to write to
  `priority` - the priority at which to log

Method Detail

### close

    public void close()
               throws IOException

  Shutdown stream.

  Overrides:
    `close` in class `OutputStream`
  Throws:
    `IOException` - if an error occurs while closing the stream

### write

    public void write(int data)
               throws IOException

  Write a single byte of data to output stream.

  Specified by:
    `write` in class `OutputStream`
  Parameters:
    `data` - the byte of data
  Throws:
    `IOException` - if an error occurs

### flush

    public void flush()
               throws IOException

  Flush data to underlying logger.

  Overrides:
    `flush` in class `OutputStream`
  Throws:
    `IOException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Jakarta Project. All Rights Reserved.